Skip to main content
PUT
/
api
/
transactions
/
{heron_id}
/
feedback
Create category, merchant feedback
curl --request PUT \
  --url https://app.herondata.io/api/transactions/{heron_id}/feedback \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "transaction": {
    "category": {
      "heron_id": "ctg_SCDfepKXJ7UBX9FRdT6iPM",
      "label": "Insurance"
    },
    "merchant": {
      "heron_id": "mrc_XzS8oncUAaLMhLmwNh6dp7",
      "is_correct": false,
      "name": "Spotify"
    },
    "source": "<string>"
  }
}
'
import requests

url = "https://app.herondata.io/api/transactions/{heron_id}/feedback"

payload = { "transaction": {
"category": {
"heron_id": "ctg_SCDfepKXJ7UBX9FRdT6iPM",
"label": "Insurance"
},
"merchant": {
"heron_id": "mrc_XzS8oncUAaLMhLmwNh6dp7",
"is_correct": False,
"name": "Spotify"
},
"source": "<string>"
} }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transaction: {
category: {heron_id: 'ctg_SCDfepKXJ7UBX9FRdT6iPM', label: 'Insurance'},
merchant: {heron_id: 'mrc_XzS8oncUAaLMhLmwNh6dp7', is_correct: false, name: 'Spotify'},
source: '<string>'
}
})
};

fetch('https://app.herondata.io/api/transactions/{heron_id}/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

x-api-key
string
header
required

Path Parameters

heron_id
string
required

Transaction heron_id

Body

application/json

A partial Transaction object with the suggested Category and/or Merchant. If you provide a heron_id for Category or Merchant, you don't need to provide other fields. If you don't know the Merchant heron_id nor name, you can just send the is_correct boolean. If heron_id is provided, we disregard name and label. If is_correct is set to true, we disregard all other Merchant fields.

transaction
object

Response

OK